var windowId,proName = window.location.pathname.split("/")[1],sysUrl = "http://"+window.location.host+"/"+proName,toEdit;
$(function(){
	initDefault();	
});
//默认
function initDefault(){
	$("#startTime").datetimebox("setValue",$.getTodayStart(0,"00:00:00"));
	$("#endTime").datetimebox("setValue",$.getTodayEnd("23:59:59"));
	initGrid();
}
//查询条件
function getQueryParams(){
	var sParam = {};
	var startTime = $('#startTime').datetimebox("getValue");	
	var endTime = $('#endTime').datetimebox("getValue");
	sParam.LIKEmachinename = $('#LIKEmachinename').textbox("getValue");
	
	var tableparam = "";
	if(!(startTime==null||startTime==""||startTime==undefined)){
		tableparam += " AND statusuptime > '" +startTime + "'";
	}
	if(!(endTime==null||endTime==""||endTime==undefined)){
		tableparam += " AND statusuptime < '" +endTime + "'";
	}
	sParam.tableparam = tableparam;

	return sParam;
}
//加载列表
function initGrid(){
	var toolbar = [{
    	text	:	'查询',
        iconCls	:	'icon-search',
        handler	:	doSearch
    }/*,{
        text	:	'增加',
        iconCls	:	'icon-add',
        handler	:	doAdd
    },{
        text	:	'修改',
        iconCls	:	'icon-cut',
        handler	:	doEdit
    },{
        text	:	'删除',
        iconCls	:	'icon-delete',
        handler	:	doDelete
    }*/];
	$('#tableGrid').datagrid({
		toolbar : toolbar,
		singleSelect:true,
		rownumbers:true,
		queryParams:getQueryParams(),
		url : 'ywmachinestatusinfoAction!listYwmachinestatusinfoByPage.do',
//		url : 'ywmachinestatusinfoAction!get_ywmachinestatusinfo.do',
		columns : [[
		    {
				field: 'A',
				checkbox:'true',
				width:30
			},
		    {field:'machinestatusid',title:'machinestatusid',hidden:true,width:120, 
				formatter:function showClick(value,record,num){ 
					return "<a  href='javascript:void(0);' class='ahref' onclick='doUpdate("+num+")'>"+value+"</a>";
				}
 			},
			{field:'machinename',title:'机器名称',hidden:false,width:120},
			{field:'machineip',title:'设备ip',hidden:false,width:110},
			{field:'zjzt',title:'主机状态',hidden:true,width:60,
				formatter:function showClick(value,record,num){ 
	//				console.log("主机：",value,record);
 					if(value==1){
						return "<div style='height:13px;width:13px;background-color:green;border-radius:50%;-moz-border-radius: 50%;-webkit-border-radius: 50%;margin:0 auto;'></div>";				
					}else if(value==0){
						return "<div style='height:13px;width:13px;background-color:#fe0000;border-radius:50%;-moz-border-radius: 50%;-webkit-border-radius: 50%;margin:0 auto;'></div>";						
					}else{
						return value;
					}
				}
			},
			{field:'cpuzt',title:'cpu使用率',hidden:false,width:120,
				formatter:function(value,record,num){ 
					var cpu = record.cpusy;
					if(cpu != null){
						cpu = cpu.indexOf('%')>0 ? cpu.replace("%",""):cpu;
						if(value == 0){
							return '<div class="progress"><div class="progress-value"  style="background-color:red;width: ' + (cpu || 0) + 'px;"><div class="progress-text" style="border:1px solid red;">' + (cpu+"%" || "") + "</div></div></div>"
						}else {
							return $.gridProgressBar(cpu+"%",100*cpu/100.00);
						}						
					}else{
						return "未知";
					}
					
				}	
			},
			{field:'nczt',title:'内存使用率',hidden:false,width:225,
				formatter:function(value,record,num){ 
					var nc = record.ncsy;
					var ncrl = Math.round(record.ncrl);
					var sync = "";
					if(nc != null){
						nc = Math.round(nc.indexOf('%')>0 ? nc.replace("%",""):nc);
						sync = (ncrl * nc)/100;
						sync = sync.toFixed(2);
						if(value == 0){
							return '<div class="progress">'+
										'<div class="progress-value"  style="background-color:red;width: ' + (nc || 0) + 'px;">'+
											'<div class="progress-text progress-textRed"  style="border:1px solid red;">' + (nc+"%" || "") + "</div>" +
										"</div>" + 
										"<div style='position: relative;left: 105px; top: -18px;'>"+parseFloat(sync)+"G / "+parseFloat(ncrl)+"G(总)</div>"+
									"</div>";
						}else {
							return '<div class="progress">'+
										'<div class="progress-value"  style="width: ' + (nc || 0) + 'px;">'+
											'<div class="progress-text">' + (nc+"%" || "") + "</div>" +
										"</div>" +
										"<div style='position: relative;left: 105px; top: -18px;'>"+parseFloat(sync)+"G / "+parseFloat(ncrl)+"G(总)</div>"+
									"</div>";
							
						}
					//	return $.gridProgressBar(nc+"%",100*nc/100.00);
					}else{
						return "未知";
					}
					 
				}		
			},
			{field:'ypzt',title:'硬盘使用率',hidden:false,width:250,
				formatter:function(value,record,num){ 
					var yp = record.ypsy;
					var yprl = Math.round(record.yprl);
					var ypsy="";					
					if(yp != null){
						yp = Math.round(yp.indexOf('%')>0 ? yp.replace("%",""):yp);
						ypsy = (yprl * yp)/100;
						ypsy = ypsy.toFixed(2);
						if(value == 0){
							return '<div class="progress">'+
										'<div class="progress-value"  style="background-color:red;width: ' + (yp || 0) + 'px;">'+
											'<div class="progress-text progress-textRed"  style="border:1px solid red;">' + (yp+"%" || "") + "</div>" +
										"</div>" + 
										"<div style='position: relative;left: 105px; top: -18px;'>"+parseFloat(ypsy)+"G / "+parseFloat(yprl)+"G(总)</div>"+
									"</div>";
						}else {
							return '<div class="progress">'+ 
										'<div class="progress-value"  style="width: ' + (yp || 0) + 'px;">'+
											'<div class="progress-text">' + (yp+"%" || "") + "</div>" +
										"</div>" + 
										"<div style='position: relative;left: 105px; top: -18px;'>"+parseFloat(ypsy)+"G / "+parseFloat(yprl)+"G(总)</div>"+
									"</div>";
						} 
					}else{
						return "未知";
					}
				}
			},
			{field:'statusuptime',title:'检测时间',hidden:false,width:125},
			{field:'machineid',title:'操作',hidden:false,width:70, 
				formatter:function showClick(value,record,num){ 
        			return '<a href="javascript:;" style="background: #67c23a;color:white;padding: 2px,5px;" class="l-btn l-btn-small" onclick="lookdetail('+num+')"  group="" id=""><span class="l-btn-left"><span class="l-btn-text">详情</span></span></a>';
				}
 			}
		]]
	});
}

function lookdetail(index) {
	var selRows = $('#tableGrid').datagrid('getRows')[index];
	windowId = top.$.createWin({
		title : '查看详情',
		width : 800,
		height : 500,
		data : selRows,
		url : sysUrl+"/yw/patroltask/machinetaskhistory/ywmachinestatusinfo_show.jsp"
	});
}

//删除
function doDelete(){
	var selRows = $('#tableGrid').datagrid('getSelected'); 
	if(!selRows){
		$.showMsg('请先选择记录! ');
		return;
	}
	top.$.dlg.confirm('确认删除?',function(){
		$.ajax({
			type:'post',
			dataType : 'json',
			url:'ywmachinestatusinfoAction!delete_Ywmachinestatusinfo.do',
			data:{
				machinestatusid	:	selRows.machinestatusid

			},
			success:function(flag){
				if(flag == "success"){
					$.showMsg("操作成功！");
					doSearch();
				}else{
					$.showMsg("操作失败！");
				}
			}
		});
	});
}
//批量删除
function doDelete_batch(){
	var selRows = $('#tableGrid').datagrid('getChecked'); 
	var keyword = [];
	 if(selRows===null){
		$.showMsg('请先选择一行! ');
		 return;
	 }else{
		for(var i=0; i<selRows.length; i++){
			keyword.push(selRows[i].machinestatusid);
		}
		top.$.dlg.confirm('你确认要删除吗?',function(){ 
		    $.ajax({
				 type:'post',
				 dataType : 'json',
				 url:'ywmachinestatusinfoAction!batch_delete_Ywmachinestatusinfo.do',
				 data:{keyword	:	keyword.join(",")},
				 success:function(flag){
				 	if(!$.isNull(flag)){
						$.showMsg("操作成功！");
					 	doSearch();
					}else{
						$.showMsg("操作失败！");
					}
				}
			 });
		}); 
	}
}
//查询
function doSearch(){	
	$('#tableGrid').datagrid('load',getQueryParams());
}
//增加
function doAdd(){
	toEdit=false;
	windowId = top.$.createWin({
		title	: 	'增加信息',
		width	:  	650,
		height	: 	300,
		buttons:  [{
			text:$.fn.textbox.defaults.ok,
			handler:saveNodeInfo
		}],
		url	:	sysUrl+"/im/ywgl/ywmachinestatusinfo_show.jsp"
	 });
}
//修改
function doUpdate(index){
	toEdit=true;
	var selRows = $('#tableGrid').datagrid('getRows')[index];
	windowId = top.$.createWin({
		title	: 	'修改信息',
		width	:  	650,
		height	: 	300,
		data   	:   selRows,
		buttons:  [{
			text:$.fn.textbox.defaults.ok,
			handler:saveNodeInfo
		}],
		url	:	sysUrl+"/im/ywgl/ywmachinestatusinfo_show.jsp"
	});
}
//保存
function saveNodeInfo(){
	var win		=	$.getTopWindowById(windowId);
	var jq		=	win.$;
	var model   =   $.getFormValues("childform",windowId);
	//console.log(model);
	if(!win.$('#childform').form('enableValidation').form('validate')){
      return;
	}
	if(toEdit){//修改
		model.XGTJmachinestatusid = jq('#machinestatusid').val();

		//model.checkparam = " and xh='"+model.xh+"' ";
		$.ajax({
			type:'post',
			dataType : 'json',
			url:'ywmachinestatusinfoAction!update_Ywmachinestatusinfo.do',
			data:model,
			success:function(value){
				if(value=="success"){
					$.showMsg("操作成功！");
					top.$("#"+windowId).dialog('close');
					doSearch();
				}else if(value=="same"){
					$.showMsg("已存在！");
				}else{
					$.showMsg("操作失败！");
				}
			}
		});
	}else{
		//model.checkparam = " and xh='"+model.xh+"' ";
		$.ajax({
			type:'post',
			dataType : 'json',
			url:'ywmachinestatusinfoAction!insert_Ywmachinestatusinfo.do',
			data:model,
			success:function(value){
				if(value=="success"){
					$.showMsg("操作成功！");
					top.$("#"+windowId).dialog('close');
					doSearch();
				}else if(value=="same"){
					$.showMsg("已存在！");
				}else{
					$.showMsg("操作失败！");
				}
			}
		});
	}
}
//打开修改
function doEdit(){
	var selIndex = $('#tableGrid').datagrid('getRowIndex', $("#tableGrid").datagrid('getSelected'))
	if(selIndex==-1){
		$.showMsg('请先选择一行! ');
		 return;
	}else{
		doUpdate(selIndex);
	}		
}
//模板下载
function doTemplate(){
	var baseUrl = $.proPath();
	var downFile = baseUrl+"/down/down.xls";
	window.location.href= downFile;
}
//导入
function doImport(){
	toEdit=false;
	windowId = top.$.createWin({
		 id		:	$.uniqueId(),
		 title	: 	'导入',
		 width	:  	400,
		 height	: 	130,
		 url	:	sysUrl+"/im/xx/ywmachinestatusinfo_imp.jsp"
	 });
}
//导出
function doExport(){
	var model = getQueryParams();
	$.ajax({
		type : 'post',
		dataType : 'json',
		data : model,
		url : 'ywmachinestatusinfoAction!count_Ywmachinestatusinfo.do',
		success : function(value) {
			if(!$.isNull(value)){
				countExport(value);
			}else{
				$.showMsg("操作失败！");
			}
		}
	});
}
// 导出传参条件
function countExport(totalSize) {
	var limit = 5000;
	if (totalSize > 5000) {
		top.$.dlg.confirm('记录过多支持前5000条,确定要将记录导出Excel为表格吗?',function(){ 
			execExport();
		});		
	} else {
		top.$.dlg.confirm('确认导出?',function(){ 
			execExport();
		})
	}
}
// 调用后台
function execExport() {
	var model = getQueryParams();
	var downParam = "";
	document.excelForm.action = 'ywmachinestatusinfoAction!exp_Ywmachinestatusinfo.do?'+downParam;
	document.excelForm.submit(); 
}
